Change log for gsmlib package in Ubuntu

116 of 16 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2018-04-04
Deleted in bionic-proposed (Reason: moved to release)
gsmlib (1.10+20120414.gita5e5ae9a-0.3build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <email address hidden>  Tue, 03 Apr 2018 12:26:57 +0000
Superseded in bionic-release on 2018-04-04
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed (Reason: moved to release)
gsmlib (1.10+20120414.gita5e5ae9a-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++ 5 transition (see #791063)

 -- Jonathan Wiltshire <email address hidden>  Sat, 08 Aug 2015 14:35:16 +0100
Superseded in wily-release on 2015-08-15
Deleted in wily-proposed on 2015-08-16 (Reason: moved to release)
gsmlib (1.10+20120414.gita5e5ae9a-0.2ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <email address hidden>  Tue, 04 Aug 2015 04:33:58 +0000
Superseded in wily-release on 2015-08-11
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
gsmlib (1.10+20120414.gita5e5ae9a-0.2) unstable; urgency=medium


  * Non-maintainer upload.
  * Fix build with newer gettext (Closes: #758501).
  * Update config.sub/config.guess.
  * Add an upstream patch to fix parseInt2.

 -- Andrew Shadura <email address hidden>  Thu, 09 Oct 2014 13:24:02 +0200
Superseded in vivid-release on 2014-10-25
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-23
Deleted in trusty-proposed (Reason: moved to release)
gsmlib (1.10+20120414.gita5e5ae9a-0.1) unstable; urgency=low


  * Non-maintainer upload.
  * Update to the latest Git version by Vianney Bouchaud.
  * Use 3.0 (quilt) source package format.
  * Own the run subdirectory (Closes: #689891).
  * Don't remove the system user on package remove.
  * Fix init script (LP: #30228).

 -- Andrew Shadura <email address hidden>  Tue, 15 Oct 2013 13:29:27 +0200
Superseded in trusty-release on 2013-10-23
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
gsmlib (1.10-13.2) unstable; urgency=low


  * Non-maintainer upload.
  * Fix +CSMS response parsing: an argument can be zero-length (Closes: #602739).
  * Fix +COPS response parsing: additional numeric argument possible
    (Closes: #674856).
  * Migrate to /run.

 -- Andrew O. Shadura <email address hidden>  Fri, 15 Jun 2012 11:10:39 +0200

Available diffs

Superseded in quantal-release on 2012-06-18
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
Obsolete in karmic-release on 2013-03-04
Obsolete in jaunty-release on 2013-02-28
gsmlib (1.10-13) unstable; urgency=low

  * Ack NMU, Thanks Michael, Christoph & Petter
  * debian/control add Homepage:
  * Update debian/copyright; gsm-lib/COPYING actually specifies LGPL: 
    - fixes lintian:copyright-without-copyright-notice
  * Update manpages fixes lintian:hyphen-used-as-minus-sign
  * Update debian/gsm-utils.init 
    - fixes lintian:init.d-script-missing-lsb-short-description
  * Bug fixes from ubuntu
    - Don't install contrib/gsm-utils.init dh_installinit debian/gsm-utils.init
    - Create /var/run/gsm-utils
  * Add case 'L' to apps/gsmsmsd.cc - thks to Andrew Suffield
    - syslog support does not work (Closes: #346240)
  * gsm-utils.init really call restart with --stop first
    - init script calls --start twice (Closes: #377448)
  * Explictly set /bin/bash: gsmsmsspool & gsmsmsrequeue
    - bashism in /bin/sh script (Closes: #464981)
    - gsmsmsrequeue contains bashism or function error (Closes: #459396)
  * Patch apps/gsmsmsstore.cc - thks Isaac Wilcox
    - gsmsmsstore device existence check causes problems with RFCOMM
    devices (Closes: #340179)
  * Only start gsmsmsd if set in /etc/default/gsm-utils. crontab -> examples
    - gsmsmsd should be optional / start only if told so in
    /etc/default/gsm-utils (Closes: #474093)
  * Apply patch from Stefan Katerkamp & Jacob Nevins
    - Gsmsendsms fails with SonyEricsson W880 (fix included) (Closes:
    #413341)

 -- Iain Lane <email address hidden>   Mon,  10 Nov 2008 11:42:11 +0000

Available diffs

Superseded in jaunty-release on 2008-11-10
Obsolete in intrepid-release on 2013-02-20
gsmlib (1.10-12.5ubuntu1) intrepid; urgency=low

  * Merge from Debian (LP: #239045), remaining changes:
    - debian/gsm-utils.postinst, debian/gsm-utils.init:
      Create /var/run/gsm-utils if it does not exist
    - Actually fix the init script (note, it wasn't fixed by this. See below)
  * Finally, once and for all fix the init script. Version from contrib/ was
    being installed whereas the version from debian/ should have been. Add LSB
    header to debian/ version and comment out copying of contrib/ copy in
    rules file
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

Superseded in intrepid-release on 2008-06-12
Obsolete in hardy-release on 2015-04-24
gsmlib (1.10-12ubuntu1) hardy; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - [debian/gsm-utils.postinst, debian/gsm-utils.init]
      Create /var/run/gsm-utils if it does not exist
    - Actually fix the init script (debian #377448)
    - Set Ubuntu maintainer adress.

Superseded in hardy-release on 2007-12-12
Obsolete in gutsy-release on 2011-09-16
Obsolete in feisty-release on 2009-08-20
gsmlib (1.10-10ubuntu3) feisty; urgency=low

  * Rebuild for ldbl128 change (powerpc, sparc).
  * Set Ubuntu maintainer address.

 -- Matthias Klose <email address hidden>   Thu,  1 Mar 2007 22:37:57 +0000
Superseded in feisty-release on 2007-03-02
Obsolete in edgy-release on 2008-06-19
gsmlib (1.10-10ubuntu2) edgy; urgency=low

  * [debian/gsm-utils.postinst, debian/gsm-utils.init]
    Create /var/run/gsm-utils if it does not exist

 -- Matt Zimmerman <email address hidden>   Tue, 11 Jul 2006 13:59:12 -0700
Superseded in edgy-release on 2006-07-11
gsmlib (1.10-10ubuntu1) edgy; urgency=low

  * Re-sync with Debian
  * debian/gsm-utils.init reload/restart was not calling --stop

 -- Barry deFreese <email address hidden>   Sat,  8 Jul 2006 22:52:23 -0400
Superseded in edgy-release on 2006-07-09
Obsolete in dapper-release on 2011-09-06
gsmlib (1.10-9ubuntu1) dapper; urgency=low

  * Fix up init script. Thanks to Mitja Pagon (Closes Malone: #30228)
    - Also fixed reload to stop daemon before restarting

 -- Barry deFreese <email address hidden>   Tue,  2 May 2006 23:21:14 -0400
Superseded in dapper-release on 2006-05-03
Superseded in dapper-release on 2006-02-03
gsmlib (1.10-9) unstable; urgency=low


  * library package needs to be renamed (libstdc++ allocator change)
    (Closes: #339179)

 -- Mark Purcell <email address hidden>  Mon, 21 Nov 2005 21:19:51 +0000
Obsolete in breezy-release on 2008-03-25
gsmlib (1.10-6ubuntu2) breezy; urgency=low


  * 01_fix-ldflags.dpatch:
    + Link the lib against libstdc++. Fixes FTBFS for gnome-phone-manager

 -- Sebastian Dröge <email address hidden>  Thu,  8 Sep 2005 00:27:21 +0200
Obsolete in hoary-release on 2008-03-19
Obsolete in warty-release on 2008-01-09
gsmlib (1.10-5) unstable; urgency=low


  * Change Section: libdevel
  * gsm_unix_serial.cc patch from Daniel Schepler to fix g++-3.3
    compliation. Thanks. (Closes: Bug#195151)

 -- Mark Purcell <email address hidden>  Sat, 19 Jul 2003 15:57:28 +1000
116 of 16 results